﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="BaseSampleController.ViewData.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.General
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.AccessRules;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// </summary>
    public abstract partial class BaseSampleController : BaseGridViewCustomBindingController
    {
        #region IDataManipulator Member
        /// <summary>
        /// If the sample hasn't yet been saved by the user, these fields can be edited by the user.
        /// </summary>
        /// <param name="sampleId">
        /// </param>
        protected void LoadReadOnlySettings(Guid sampleId)
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadProductData()
        {
        }

        /// <summary>
        /// Load processing statuses to be used in form dropdown.
        /// </summary>
        protected void LoadProcessingStatusData()
        {
        }

        /// <summary>
        /// Load intended uses to be used in form dropdown.
        /// </summary>
        protected void LoadIntendedUseData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadBrandTypeData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadPrivateBrandData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadBioProductTypeData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadCountryData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadOfferFormData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadBrandMarketingNormData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadFarmingTypeData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadSampleTypeData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadSampleKindData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadCertificationQualitySealData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadCertificationProduct()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadCertificationBusinessData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadSampleExaminationData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadCompanyFactoryData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadCompanyProducerData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadCompanySupplierData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadCompanySenderData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadCompanyLaboratoryData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadCompanyManufacturerData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadRegionData()
        {
        }

        /// <summary>
        /// </summary>
        /// <param name="sampleId">
        /// </param>
        protected void LoadExaminedProductData(Guid sampleId)
        {
        }

        /// <summary>
        /// </summary>
        /// <param name="properties">
        /// </param>
        /// <param name="sampleId">
        /// </param>
        protected void LoadSelectedCertificationQualitySealData(object properties, Guid sampleId)
        {
        }

        /// <summary>
        /// </summary>
        /// <param name="properties">
        /// </param>
        /// <param name="sampleId">
        /// </param>
        protected void LoadSelectedCertificationProductData(object properties, Guid sampleId)
        {
        }

        /// <summary>
        /// </summary>
        /// <param name="properties">
        /// </param>
        /// <param name="sampleId">
        /// </param>
        protected void LoadSelectedCertificationBusinessData(object properties, Guid sampleId)
        {
        }

        /// <summary>
        /// </summary>
        /// <param name="properties">
        /// </param>
        /// <param name="sampleId">
        /// </param>
        protected void LoadSelectedRetailerData(object properties, Guid sampleId)
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadCompanyRetailerData()
        {
        }

        /// <summary>
        /// </summary>
        protected void LoadCompanyClientData()
        {
        }

        /// <summary>
        /// </summary>
        /// <param name="sampleId">
        /// </param>
        protected void LoadSelectedParameterData(Guid sampleId)
        {
        }

        /// <summary>
        /// </summary>
        /// <param name="sampleId">
        /// </param>
        protected void LoadAddedSingleElementsData(Guid sampleId)
        {
        }

        /// <summary>
        /// </summary>
        protected void AddControllerContext()
        {
        }
        #endregion
    }
}