#region Copyright  convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="HomeController.cs.cs" company="convivo GmbH">
//    Copyright  2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers
{
    #region usings
    using System;
    using System.Web;
    using System.Web.Mvc;

    using Fruitmonitoring.Helper.Utility;

    #endregion

    /// <summary>
    /// The home controller.
    /// </summary>
    public class HomeController : Controller
    {
        #region Public Methods and Operators
        /// <summary>
        /// Handles the language change functionality
        /// is called, if the user want to change the language explicitly (user clicked at the language icons).
        /// </summary>
        /// <param name="culture">
        /// Culture that should be set.
        /// </param>
        /// <param name="redirectUrl">
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        public ActionResult SetCulture(string culture, string redirectUrl = "")
        {
            return null;
        }
        #endregion
    }
}