﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SampleLaboratoryBaseController.Mail.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Laboratory.Samples
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Configuration;
    using System.Linq;
    using System.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;

    using Languages.Emails;
    using Languages.Emails.SampleRating;
    using Languages.Emails.Samples;

    #endregion

    /// <summary>
    /// The sample laboratory base controller.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.Laboratory)]
    public partial class SampleLaboratoryBaseController : BaseSampleDetailController
    {
        #region methods
        /// <summary>
        /// Send mails if a sample is transferred by an laboratory.
        /// </summary>
        /// <param name="sampleIds">
        /// </param>
        /// <param name="samples">
        /// </param>
        /// <param name="newStatus">
        /// The new sample status (in this case "transferred").
        /// </param>
        private void sendMailsTransferSamples(string sampleIds, List<USP_Sample_Sel_Result> samples, Guid newStatus)
        {
        }

        /// <summary>
        /// Send mail if a sample is rated with yellow or red.
        /// </summary>
        /// <param name="samples">
        /// The samples.
        /// </param>
        private void sendMailsTransferSampleRating(List<USP_Sample_Sel_Result> samples)
        {
        }

        /// <summary>
        /// Send mail if a sample is rated with yellow or red.
        /// </summary>
        /// <param name="sample">
        /// </param>
        /// <param name="recipient">
        /// The recipient.
        /// </param>
        private void sendMailsTransferSampleRating(USP_Sample_Sel_Result sample, string recipient)
        {
        }

        /// <summary>
        /// Send mail if a sample is rated with yellow or red.
        /// </summary>
        /// <param name="samples">
        /// The samples.
        /// </param>
        /// <param name="recipient">
        /// The recipient.
        /// </param>
        private void sendMailsTransferSampleRating(List<USP_Sample_Sel_Result> samples, string recipient)
        {
        }

        /// <summary>
        /// Checks if a sample is red or yellow.
        /// </summary>
        /// <param name="sample">
        /// </param>
        /// <returns>
        /// The <see cref="bool"/>.
        /// </returns>
        private bool IsSampleYellowOrRed(USP_Sample_Sel_Result sample)
        {
            return false;
        }
        #endregion
    }
}