﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SampleLaboratoryBaseController.ViewData.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Laboratory.Samples
{
    #region usings
    using System;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Controllers.Interfaces;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// The sample laboratory base controller.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.Laboratory)]
    public partial class SampleLaboratoryBaseController : BaseSampleDetailController, IDataManipulator<USP_Sample_Sel_Result>
    {
        #region IDataManipulator<USP_Sample_Sel_Result> Members

        #region Public Methods and Operators

        #region IDataManipulator Member
        /// <summary>
        /// The load add and edit view data.
        /// </summary>
        /// <param name="properties">
        /// The properties.
        /// </param>
        public void LoadAddAndEditViewData(object properties = null)
        {
        }
        #endregion

        #endregion

        #endregion
    }
}