﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ExcelTemplateCreator.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

#region usings
using A = DocumentFormat.OpenXml.Drawing;

//using Ap = DocumentFormat.OpenXml.ExtendedProperties;
//using Vt = DocumentFormat.OpenXml.VariantTypes;
//using X14 = DocumentFormat.OpenXml.Office2010.Excel;
#endregion

namespace Fruitmonitoring.Helper.Export
{
    #region usings
    using DocumentFormat.OpenXml;
    using DocumentFormat.OpenXml.Packaging;
    using DocumentFormat.OpenXml.Spreadsheet;

    using Languages.Export;

    #endregion

    /// <summary>
    /// The excel template creator.
    /// </summary>
    public class ExcelTemplateCreator
    {
        #region Public Methods and Operators
        // Adds child parts and generates content of the specified part.
        /// <summary>
        /// The create parts.
        /// </summary>
        /// <param name="document">
        /// The document.
        /// </param>
        public void CreateParts(SpreadsheetDocument document)
        {
        }
        #endregion

        #region Methods

        // Generates content of themePart1.
        /// <summary>
        /// The generate theme part 1 content.
        /// </summary>
        /// <param name="themePart1">
        /// The theme part 1.
        /// </param>
        private void GenerateThemePart1Content(ThemePart themePart1)
        {
        }

        // Generates content of workbookPart1.
        /// <summary>
        /// The generate workbook part 1 content.
        /// </summary>
        /// <param name="workbookPart1">
        /// The workbook part 1.
        /// </param>
        private void GenerateWorkbookPart1Content(WorkbookPart workbookPart1)
        {
        }

        // Generates content of workbookStylesPart1.
        /// <summary>
        /// The generate workbook styles part 1 content.
        /// </summary>
        /// <param name="workbookStylesPart1">
        /// The workbook styles part 1.
        /// </param>
        private void GenerateWorkbookStylesPart1Content(WorkbookStylesPart workbookStylesPart1)
        {
        }

        // Generates content of worksheetPart1.
        /// <summary>
        /// The generate worksheet part 1 content.
        /// </summary>
        /// <param name="worksheetPart1">
        /// The worksheet part 1.
        /// </param>
        private void GenerateWorksheetPart1Content(WorksheetPart worksheetPart1)
        {
        }

        /// <summary>
        /// The set package properties.
        /// </summary>
        /// <param name="document">
        /// The document.
        /// </param>
        private void SetPackageProperties(OpenXmlPackage document)
        {
        }
        #endregion
    }
}