﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="IDataExport.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Export
{
    #region usings
    using System.Collections.Generic;
    using System.Web.Mvc;

    using DevExpress.Web.Mvc;

    #endregion

    /// <summary>
    /// The DataExport interface.
    /// </summary>
    internal interface IDataExport
    {
        #region Public Methods and Operators
        /// <summary>
        /// The export.
        /// </summary>
        /// <param name="settings">
        /// The settings.
        /// </param>
        /// <param name="data">
        /// The data.
        /// </param>
        /// <typeparam name="T">
        /// </typeparam>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        ActionResult Export<T>(GridViewSettings settings, List<T> data);
        #endregion
    }
}