﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="Download.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.FileHelper
{
    #region usings
    using System;
    using System.IO;
    using System.Text.RegularExpressions;
    using System.Web;

    #endregion

    /// <summary>
    /// The download.
    /// </summary>
    public class Download
    {
        #region Public Methods and Operators
        /// <summary>
        /// Convert all slashes in an path to backslashes
        /// more than one slash in a currentRow will be converted to one backslash.
        /// </summary>
        /// <param name="path">
        /// Pth that should converted.
        /// </param>
        /// <returns>
        /// Path with normal slashes.
        /// </returns>
        public string ConvertSlashesInPath(string path)
        {
            return null;
        }

        /// <summary>
        /// Generates a complete download path.
        /// </summary>
        /// <param name="filePath">
        /// Relative filepath.
        /// </param>
        /// <param name="fileName">
        /// Filename.
        /// </param>
        /// <param name="server">
        /// The server.
        /// </param>
        /// <returns>
        /// Uri with complete path.
        /// </returns>
        public Uri GetDownloadPath(string filePath, string fileName, HttpServerUtilityBase server)
        {
            return null;
        }

        /// <summary>
        /// Returns a valid header content-type for the response depend on the file extension.
        /// </summary>
        /// <param name="file">
        /// The complete file.
        /// </param>
        /// <returns>
        /// Content-type for html response.
        /// </returns>
        public string ParseFileExtensionToContentType(string file)
        {
            return null;
        }
        #endregion
    }
}