﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ParameterSelectionExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.ParameterSelection
{
    #region usings
    using System.Collections.Generic;
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    using Fruitmonitoring.Helper.Utility;

    #endregion

    /// <summary>
    /// Provides functions to build the html investigation parameter management.
    /// </summary>
    public class ParameterSelectionExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "parameter selection".
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="modelPropertyName">
        /// The model Property Name.
        /// </param>
        /// <param name="modelPropertyValue">
        /// The model Property Value.
        /// </param>
        /// <param name="companyTypes">
        /// The company Types.
        /// </param>
        /// <param name="canAdministrate">
        /// The can Administrate.
        /// </param>
        /// <param name="administrateCompanyTypes">
        /// The administrate Company Types.
        /// </param>
        /// <param name="onlyActiveCompanies">
        /// The only Active Companies.
        /// </param>
        /// <returns>
        /// The "SampleResultsManagement" html.
        /// </returns>
        public MvcHtmlString CreateParameterSelection(
            HtmlHelper htmlHelper,
            string modelPropertyName,
            string modelPropertyValue,
            List<DbGuidHelper.CompanyTypes> companyTypes,
            bool canAdministrate,
            List<DbGuidHelper.CompanyTypes> administrateCompanyTypes,
            bool onlyActiveCompanies)
        {
            return null;
        }
        #endregion

        #endregion
    }
}