﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SamplerUserSearchController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.SamplerUserSearch
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Reflection;
    using System.Web.Mvc;
    using System.Web.Script.Serialization;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Models;

    using Languages;

    #endregion

    // interner oder Ajax aufgerufen grundsätzlich eingeloggte
    /// <summary>
    /// The sampler user search controller.
    /// </summary>
    public class SamplerUserSearchController : BaseController
    {
        #region Properties

        #region Static Fields
        // the minimum provided search strings
        /// <summary>
        /// The min search strings.
        /// </summary>
        public static int MinSearchStrings = 2;
        #endregion

        #endregion

        #region actionresults
        /// <summary>
        /// Load the search form for sampler user search.
        /// </summary>
        /// <param name="modelPropertyValue">
        /// </param>
        /// <param name="modelPropertyName">
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        public ActionResult LoadSearchForm(string modelPropertyValue, string modelPropertyName)
        {
            return null;
        }

        /// <summary>
        /// Search for sampler users.
        /// </summary>
        /// <param name="model">
        /// Search model.
        /// </param>
        /// <param name="modelPropertyValue">
        /// </param>
        /// <param name="modelPropertyName">
        /// </param>
        /// <returns>
        /// Partial view that renders a checkboxlist with all items.
        /// </returns>
        [HttpPost]
        public ActionResult SearchCompanies(SamplerUserSearchModel model, string modelPropertyValue, string modelPropertyName)
        {
            return null;
        }

        /// <summary>
        /// Get the sampler user's name and company for a given sampler user id.
        /// </summary>
        /// <param name="samplerUserId">
        /// The sampler User Id.
        /// </param>
        /// <returns>
        /// Sampler user' first name, last name, and company name as JS serialized string.
        /// </returns>
        [HttpPost]
        public string GetSamplerUserNameByRowId(string samplerUserId)
        {
            return null;
        }

        /// <summary>
        /// Validate search inputs.
        /// </summary>
        /// <param name="model">
        /// </param>
        /// <returns>
        /// The <see cref="List"/>.
        /// </returns>
        private List<PropertyInfo> getSearchModelValues(SamplerUserSearchModel model)
        {
            return null;
        }
        #endregion

        #region methods
        /// <summary>
        /// The load additional view data.
        /// </summary>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <param name="modelPropertyName">
        /// The model property name.
        /// </param>
        [NonAction]
        public void loadAdditionalViewData(string modelPropertyValue, string modelPropertyName)
        {
        }

        /// <summary>
        /// The load additional view data.
        /// </summary>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <param name="modelPropertyName">
        /// The model property name.
        /// </param>
        /// <param name="forForm">
        /// The for form.
        /// </param>
        [NonAction]
        public void loadAdditionalViewData(string modelPropertyValue, string modelPropertyName, bool forForm)
        {
        }
        #endregion
    }
}