﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SampleTransferInfo.cs.cs" company="convivo GmbH">
//    Copyright © 2015 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Modules.SampleTransferObservers
{
    #region usings
    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// The sample transfer info.
    /// </summary>
    public class SampleTransferInfo
    {
        #region Properties
        /// <summary>
        /// Gets the sample.
        /// </summary>
        public USP_Sample_Sel_Result sample { get; private set; }
        #endregion

        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="SampleTransferInfo"/> class.
        /// </summary>
        /// <param name="sample">
        /// The sample.
        /// </param>
        public SampleTransferInfo(USP_Sample_Sel_Result sample)
        {
            this.sample = sample;
        }
        #endregion
    }
}