﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ErrorMessageContainer.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility
{
    #region usings
    using System;
    using System.Web.Mvc;

    #endregion

    /// <summary>
    /// The error message container.
    /// </summary>
    public class ErrorMessageContainer : IDisposable
    {
        #region Properties

        #region Fields

        #region variables
        /// <summary>
        /// The view context.
        /// </summary>
        private readonly ViewContext viewContext;
        #endregion

        #endregion

        #endregion

        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="ErrorMessageContainer"/> class.
        /// render a error message container.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        public ErrorMessageContainer(HtmlHelper htmlHelper)
        {
            viewContext = htmlHelper.ViewContext;

            viewContext.Writer.Write("<div style='float: left; padding: 3px 5px 0px 4px;'>" + "<div style='width: 180px;'>");
        }
        #endregion

        #region IDisposable Members

        #region Public Methods and Operators

        #region IDisposable Member
        /// <summary>
        /// The dispose.
        /// </summary>
        public void Dispose()
        {
        }
        #endregion

        #endregion

        #endregion
    }
}