﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="IRouterSoapClientHelper.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility
{
    using GS1ServiceReference;

    /// <summary>
    /// The RouterSoapClientHelper interface.
    /// </summary>
    public interface IGepirSoapClientHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// The get party by gln.
        /// </summary>
        /// <param name="requestHeaderType">
        /// The gepir requestHeaderType.
        /// </param>
        /// <param name="request">
        /// The webservice request.
        /// </param>
        /// <param name="response">
        /// The werbservice rsp.
        /// </param>
        /// <returns>
        /// A result code from the webservice.
        /// </returns>
        GepirReturnCodeType GetPartyByGLN(
            RequestHeaderType requestHeaderType,
            getKeyLicensee request,
            out getKeyLicenseeResponse response);
        #endregion
    }
}