﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="InvestigationOrderController.ViewData.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Common
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Controllers.Interfaces;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// The investigation order controller.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.Orderer)]
    public partial class InvestigationOrderController : BaseInvestigationOrderController, IDataManipulator<USP_Sample_Investigation_Sel_Result>
    {
        #region IDataManipulator<USP_Sample_Investigation_Sel_Result> Members

        #region Public Methods and Operators

        #region IDataManipulator Member
        /// <summary>
        /// The load add and edit view data.
        /// </summary>
        /// <param name="properties">
        /// The properties.
        /// </param>
        [NonAction]
        public void LoadAddAndEditViewData(object properties = null)
        {
        }
        #endregion

        #endregion

        #endregion

        #region Methods

        #region additional methods to add ViewData
        /// <summary>
        /// The get additional load and edit view data properties.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <returns>
        /// The <see cref="object"/>.
        /// </returns>
        private object getAdditionalLoadAndEditViewDataProperties(USP_Sample_Investigation_Sel_Result model)
        {
            return null;
        }
        #endregion

        /// <summary>
        /// Provide information to the view that indicates that the retailer selection is readonly.
        /// </summary>
        private void LoadIsRetailerReadOnlyData()
        {
        }

        /// <summary>
        /// Set an property that says that the supplier field is read only.
        /// </summary>
        private void LoadIsSupplierReadOnlyData()
        {
        }
        #endregion
    }
}