﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="AdvancedSearchSessionHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.AdvancedSearch
{
    #region usings
    using System.Web.Mvc;

    #endregion

    /// <summary>
    /// The advanced search view data helper.
    /// </summary>
    public class AdvancedSearchViewDataHelper
    {
        #region FilterExpressionType enum

        #region Enums
        /// <summary>
        /// The filter expression type.
        /// </summary>
        public enum FilterExpressionType
        {
            /// <summary>
            /// The backend.
            /// </summary>
            BACKEND,

            /// <summary>
            /// The frontend.
            /// </summary>
            FRONTEND
        }
        #endregion

        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// The add filter expression to view data.
        /// </summary>
        /// <param name="viewData">
        /// The view data.
        /// </param>
        /// <param name="backendExpression">
        /// The backend expression.
        /// </param>
        /// <param name="frontendExpression">
        /// The frontend expression.
        /// </param>
        public static void AddFilterExpressionToViewData(ViewDataDictionary viewData, string backendExpression, string frontendExpression)
        {
        }
        #endregion
    }
}