﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CommonPopupDeactivateJSValidationExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.CommonPopupDeactivateJSValidation
{
    #region usings
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    #endregion

    /// <summary>
    /// Renders a hidden field which can be used, to deactivate javascript validation.
    /// </summary>
    public class CommonPopupDeactivateJSValidationExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Renders a hidden field which can be used, to deacitvate javascript validation.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <returns>
        /// The "new" button html.
        /// </returns>
        public MvcHtmlString CreateCommonPopupDeactivateJSValidation(HtmlHelper htmlHelper)
        {
            return null;
        }
        #endregion

        #endregion
    }
}