﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="PrintButtonController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.PrintButton
{
    #region usings
    using System;
    using System.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Infrastructure.Security;

    #endregion

    /// <summary>
    /// The print button controller.
    /// </summary>
    public class PrintButtonController : BaseController
    {
        #region Public Methods and Operators
        /// <summary>
        /// Show the print view.
        /// </summary>
        /// <param name="id">
        /// Dataset id.
        /// </param>
        /// <param name="partialView">
        /// View name.
        /// </param>
        /// <param name="controllerName">
        /// Controller that handles actions.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        public ActionResult PrintView(Guid id, string partialView, string controllerName)
        {
            return null;
        }
        #endregion
    }
}