﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="PrintButtonExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.PrintButton
{
    #region usings
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    #endregion

    /// <summary>
    /// Provides functions to build a html "PrintButtonExtension".
    /// </summary>
    public class PrintButtonExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "PrintButton".
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="gridViewName">
        /// Gridview name.
        /// </param>
        /// <param name="partialViewName">
        /// Print-view name.
        /// </param>
        /// <param name="controllerName">
        /// Name of a controller that should provided to the partial view.
        /// </param>
        /// <returns>
        /// The "PrintButton" html.
        /// </returns>
        public MvcHtmlString CreatePrintButton(HtmlHelper htmlHelper, string gridViewName, string partialViewName, string controllerName)
        {
            return null;
        }
        #endregion

        #endregion
    }
}