﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ErrorLogFormat.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper
{
    #region usings
    using System;

    #endregion

    /// <summary>
    /// The logger.
    /// </summary>
    public partial class Logger
    {
        #region Nested type: ErrorLogFormat
        /// <summary>
        /// The error log format.
        /// </summary>
        public class ErrorLogFormat
        {
            #region CommandTag enum

            #region Enums
            /// <summary>
            /// The command tag.
            /// </summary>
            public enum CommandTag
            {
                /// <summary>
                /// The email.
                /// </summary>
                EMAIL,

                /// <summary>
                /// The common.
                /// </summary>
                COMMON
            }
            #endregion

            #endregion

            #region Public Methods and Operators
            /// <summary>
            /// The format.
            /// </summary>
            /// <param name="className">
            /// The class name.
            /// </param>
            /// <param name="methodName">
            /// The method name.
            /// </param>
            /// <param name="tag">
            /// The tag.
            /// </param>
            /// <param name="comment">
            /// The comment.
            /// </param>
            /// <returns>
            /// The <see cref="string"/>.
            /// </returns>
            public static string Format(string className, string methodName, CommandTag tag, string comment)
            {
            return null;
            }

            /// <summary>
            /// The format.
            /// </summary>
            /// <param name="className">
            /// The class name.
            /// </param>
            /// <param name="methodName">
            /// The method name.
            /// </param>
            /// <param name="tag">
            /// The tag.
            /// </param>
            /// <param name="comment">
            /// The comment.
            /// </param>
            /// <param name="e">
            /// The e.
            /// </param>
            /// <returns>
            /// The <see cref="string"/>.
            /// </returns>
            public static string Format(string className, string methodName, CommandTag tag, string comment, Exception e)
            {
            return null;
            }
            #endregion
        }
        #endregion
    }
}