﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ParameterGroupItem.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.ParameterGroup
{
    #region usings
    using System;

    #endregion

    /// <summary>
    /// This class holds all data to build an xml entry for the parameter group.
    /// </summary>
    public class ParameterGroupItem
    {
        #region Properties
        /// <summary>
        /// Gets or sets a value indicating whether analysis external.
        /// </summary>
        public bool AnalysisExternal { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether analysis internal single.
        /// </summary>
        public bool AnalysisInternalSingle { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether analysis internal standard.
        /// </summary>
        public bool AnalysisInternalStandard { get; set; }

        /// <summary>
        /// Gets or sets the comment.
        /// </summary>
        public string Comment { get; set; }

        /// <summary>
        /// Gets or sets the parameter_id.
        /// </summary>
        public Guid Parameter_id { get; set; }
        #endregion
    }
}