﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="NavBarHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility
{
    #region usings
    using System.Web.Mvc;
    using System.Web.Routing;
    using System.Web.UI.WebControls;
    using System.Xml;

    using Fruitmonitoring.Infrastructure.Security;

    #endregion

    /// <summary>
    /// The nav bar helper.
    /// </summary>
    public class NavBarHelper
    {
        #region methods
        /// <summary>
        /// Highlight the acitve menu item
        /// match the active controller name with the name, given as controller-attribute in the item-tag.
        /// </summary>
        /// <param name="htmlHelper">
        /// Active Html-Helper object.
        /// </param>
        /// <param name="data">
        /// The xml data source object.
        /// </param>
        /// <returns>
        /// An xml data source object with some additional item-attributes that indicates the active item for the devexpress navbar.
        /// </returns>
        public static XmlDataSource SetActiveItem(HtmlHelper htmlHelper, XmlDataSource data)
        {
            return null;
        }

        /// <summary>
        /// Remove Groups / Items if User has no rights for the menu entry
        /// If no AppRole is set the user has the right.
        /// </summary>
        /// <param name="htmlHelper">
        /// Active Html-Helper object.
        /// </param>
        /// <param name="data">
        /// The xml data source object.
        /// </param>
        /// <returns>
        /// An xml data source object for the devexpress navbar.
        /// </returns>
        public static XmlDataSource createXMLDataSourceWithPermissionCheck(HtmlHelper htmlHelper, XmlDataSource data)
        {
            return null;
        }
        #endregion
    }
}