﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SystemWebHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility
{
    #region usings
    using System.Web.Security;

    #endregion

    /// <summary>
    /// The SystemWebSecurityHelper interface.
    /// </summary>
    public interface ISystemWebSecurityHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// The generate new password.
        /// </summary>
        /// <param name="username">
        /// The username.
        /// </param>
        /// <param name="answer">
        /// The answer.
        /// </param>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        string GenerateNewPassword(string username, string answer);

        /// <summary>
        /// The log out.
        /// </summary>
        void LogOut();
        #endregion
    }

    /// <summary>
    /// The system web security helper.
    /// </summary>
    public class SystemWebSecurityHelper : ISystemWebSecurityHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// The generate new password.
        /// </summary>
        /// <param name="username">
        /// The username.
        /// </param>
        /// <param name="answer">
        /// The answer.
        /// </param>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        public string GenerateNewPassword(string username, string answer)
        {
            return null;
        }

        /// <summary>
        /// The log out.
        /// </summary>
        public void LogOut()
        {
        }
        #endregion
    }
}